<?php
const SETTINGS_ENTRIES = [
	[
		'id' => 'show-r15',
		'type' => 'checkbox',
		'default' => 'off'
	],
	[
		'id' => 'show-r18',
		'type' => 'checkbox',
		'default' => 'off'
	],
	[
		'id' => 'show-r18g',
		'type' => 'checkbox',
		'default' => 'off'
	],
	[
		'id' => 'show-aigc',
		'type' => 'checkbox',
		'default' => 'on'
	],
	[
		'id' => 'language',
		'type' => 'dropdown',
		'options' => ['en', 'zh'],
		'default' => 'en'
	]
];

$settings = [];

function load_settings($original) {
	static $loaded;
	if ($loaded) return;
	$loaded = true;

	global $settings;

	foreach (SETTINGS_ENTRIES as $entry) {
		if (!isset($original[$entry['id']])) {
			$settings[$entry['id']] = $entry['default'];
		}
		else switch ($entry['type']) {
			case 'checkbox':
				$settings[$entry['id']] = ($original[$entry['id']] == 'on')
					? 'on': 'off';
				break;
			case 'dropdown':
				$settings[$entry['id']] = in_array($original[$entry['id']], $entry['options'])
					? $original[$entry['id']] : $entry['default'];
				break;
		}
	}
}
