<?php
require_once 'config.php';
require_once 'user_settings.php';
require_once 'api.php';
require_once 'header.php';
require_once 'footer.php';

load_settings($_COOKIE);
require_once 'lang/' . $settings['language'] . '.php';

function get_string($path) {
    global $strings;
    $levels = explode('.', $path);
    $pointer = $strings[$levels[0]];
    for ($level = 1; $level < count($levels); $level ++) {
        $pointer = $pointer[$levels[$level]];
    }
    return $pointer;
}

function get_proxy_url($url) {
	return BASE_URL . '/proxy/' . substr($url, 8);
}

function artwork_is_hidden($artwork, &$type = '') : bool {
	global $settings;
	$type = '';
	if ($artwork->sl >= 4 && (SSFW_ONLY || $settings['show-r15'] == 'off')) $type = 'r15';
	else if ($artwork->xRestrict == 1 && (SFW_ONLY || $settings['show-r18'] == 'off')) $type = 'r18';
	else if ($artwork->xRestrict == 2 && (SFW_ONLY || $settings['show-r18g'] == 'off')) $type = 'r18g';
	else if ($artwork->aiType == 2 && $settings['show-aigc'] == 'off') $type = 'aigc';
	return $type;
}

function die_with_message($title, $message) {
	render_page_header($title, $message); ?>
	<div class="container container-small">
		<h1><?= $title ?></h1>
		<p><?= $message ?></p>
	</div><?php
	render_page_footer();
	die;
}

function render_collapsed_content($page_count, $button_text, callable $render_page) {
	for ($page = 0; $page < $page_count; $page ++) {
		if ($page > 0) echo '<details><summary>' . $button_text .'</summary>';
		call_user_func($render_page, $page);
	}
	echo str_repeat('</details>', $page_count - 1);
}
